image: docker:latest

services:
  - docker:dind

stages:
  - build

variables:
  DOCKER_DRIVER: overlay2
  DOCKER_CLI_EXPERIMENTAL: enabled
  PHPLOC_VERSION: 5.0.0

before_script:
  - docker login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}

build:
  stage: build
  tags: [docker]
  script:
    - docker build
      -t ${CI_REGISTRY_IMAGE}:${PHPLOC_VERSION}
      --build-arg PHPLOC_VERSION="${PHPLOC_VERSION}"
      .
    - docker push ${CI_REGISTRY_IMAGE}:${PHPLOC_VERSION}
